@lkontopodisERZ4H wrote:
thousand of pieces
That I didn't know at the beginning.
Perhaps you can get what you want this way:
- First you must avoid (delete) overlapping path segments. You can do this with the overkill command.
- After overkill you will get a bunch of separate path's.
- Now you can run a small lisp to sweep the circle (or what you want to sweep) along each of the path's.
(defun c:test ()
(setq obj (entsel "\nobject to sweep: ")) ; Object to sweep
(setq ss (ssget)) ; path objects
(setq number (sslength ss))
(repeat number
(setq number (1- number))
(setq path (ssname ss number))
(command "sweep" obj "" path)
)
)
A simple example is shown >>here<<.
The LISP is a very rough draft. Not yet included in the LISP:
- You should set DELOBJ to 0
- You must run the overkill command manually before starting the LISP.
- If necessary you can explode the resulting Polylines to Lines.
- error handling
- ...
At the end you can union all resulting sweep solids.
Only a first rough idea ...
Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
